Subject: [bug#58587] [PATCH 00/14] Introducing pyproject-build-system.

From: zimoun <[email-masked]>
Date: Thu, 20 Oct 2022 10:08:35 +0200

Hi Marius,

On jeu., 20 oct. 2022 at 01:11, Marius Bakke <[email-masked]> wrote:

> Good idea, although I don't like to duplicate so much information from
> the build system description.  Here is my attempt:

Cool!

> diff --git a/doc/contributing.texi b/doc/contributing.texi
> index b9260267fa..d12daa7ec3 100644
> --- a/doc/contributing.texi
> +++ b/doc/contributing.texi
> @@ -786,6 +786,21 @@ for instance, the module python-dateutil is packaged under the names
>  starts with @code{py} (e.g.@: @code{pytz}), we keep it and prefix it as
>  described above.
>  
> +@quotation Note
> +Currently there are two different build systems for Python packages in Guix:
> +@var{python-build-system} and @var{pyproject-build-system}.  For the
> +longest time, Python packages were built from an informally specified
> +@file{setup.py} file.  That worked amazingly well, considering Pythons
                                                                        ^
                                                                     typo?
                                                                     
> +success, but was difficult to build tooling around.  As a result, a host
> +of alternative build systems emerged and the community eventually settled on a
> +@url{https://peps.python.org/pep-0517/, formal standard} for specifying build
> +requirements.  @var{pyproject-build-system} is Guix's implementation of this
> +standard.  It is considered ``experimental'' in that it does not yet support
> +all the various PEP-517 @emph{build backends}, but you are encouraged to try
> +it for new Python packages and report any problems.  It will eventually be
> +deprecated and merged into @var{python-build-system}.
> +@end quotation

LTGM.  

For the rest of the series, I have not yet given a look.

Cheers,
simon